## ipxe 1.0.0+git-20161027.b991c67+really20150424.a25a16d

=== debian/changelog ===
ipxe (1.0.0+git-20161027.b991c67+really20150424.a25a16d-1ubuntu2) artful; urgency=medium

  * debian/patches/handle-dhcp-nack.patch: Handle DHCP NAK and send a
    re-discover. (LP: #1707999)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 12 Oct 2017 16:25:52 -0400

ipxe (1.0.0+git-20161027.b991c67+really20150424.a25a16d-1ubuntu1) artful; urgency=medium

  * Revert to the former git snapshot 20150424.a25a16d to fix changed
    rom sizes that break cross release migrations (LP: #1713490).
    This makes it effectively identical to 1.0.0+git-20150424.a25a16d-1ubuntu2
    in regard to the upstream source, but keeps the changes to debian/*.
    On next merge we need to either ensure that rom sizes don't change, or
    that we can encapsulate that in qemu so that on forward migration it is
    taken care off.
    - This brings back debian/patches/0002-Don-t-use-libiberty.patch as needed
      on the older source.
    - Adapt d/p/0001-rom-change-banner-timeout.diff.patch to former state to
      match old source.
    - drop d/p/util-elf2efi-GNU_SOURCE.patch as it was not needed on old
      source
  * Fix FTBFS with newer perl versions (were dropped due to the revert above
    but is needed to build in artful)
    - d/p/0006-build-Fix-.ids.o-creation-for-drivers-not-in-the-all.patch
    - d/p/0007-build-Remove-nested-my-declaration.patch
  * d/util/check-rom-sizes, d/rules: check sizes of generated roms to avoid
    accidentially breaking KVM live migration on updates/fixes.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 29 Aug 2017 10:37:57 +0200

ipxe (1.0.0+git-20161027.b991c67-1ubuntu1) artful; urgency=medium

  * Merge from Debian stable. Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - Split grub integration from ipxe->grub-ipxe.
      - d/control: add package and adapt dependencies
      - d/[grub-]ipxe.install: move some files to grub-ipxe
      - rename d/ipxe.post* to d/grub-ipxe-post*
    - Install ne.rom as pxe-ne2k_isa.rom
      - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
      - d/ipxe-qemu.links: compat link for ne.rom
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu
      to /usr/lib/ipxe/qemu.
    - d/p/0004-fix_no-pie_option.patch: correct -no-pie option
      to build without pie

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 17 Aug 2017 08:40:41 +0200

ipxe (1.0.0+git-20150424.a25a16d-1ubuntu2) yakkety; urgency=medium

  * debian/patches/0004-fix_no-pie_option.patch: correct -no-pie
    option to build without pie

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 28 Apr 2016 23:55:40 -0700
