## ipxe 1.0.0+git-20180124.fbe8c52d

=== debian/changelog ===
ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu4) cosmic; urgency=medium

  * Build ROMs for QEMU with CONFIG=qemu (LP: #1789319)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 10 Sep 2018 14:56:17 +0200

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu3) cosmic; urgency=medium

  * debian/patches/fix-elf2efi-plt-relocation.diff: Cherry-pick fix from
    ipxe devel mailing list to handle R_X86_64_PLT32 relocations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 10 Sep 2018 14:27:35 +0200

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu2) bionic; urgency=medium

  * debian/copyright: update copyright information to satisfy lintian
    dep5 checks (LP: #1747071)
  * d/p/enable-https.patch: adding proper dep3 header

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 05 Feb 2018 15:09:28 +0100

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu1) bionic; urgency=medium

  * Merge new upstream release 20180124.fbe8c52d with last "new"
    Ubuntu packaging 1.0.0+git-20161027.b991c67-1ubuntu1 and the
    fixes since 1.0.0+git-20161027.b991c67+really20150424.a25a16d-1ubuntu1
    Remaining Changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - Split grub integration from ipxe->grub-ipxe.
      - d/control: add package and adapt dependencies
      - d/[grub-]ipxe.install: move some files to grub-ipxe
      - rename d/ipxe.post* to d/grub-ipxe-post*
    - Install ne.rom as pxe-ne2k_isa.rom
      - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
      - d/ipxe-qemu.links: compat link for ne.rom
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu
      to /usr/lib/ipxe/qemu.
    - d/util/check-rom-sizes, d/rules: check sizes of generated roms to avoid
      accidentially breaking KVM live migration on updates/fixes.
    - debian/patches/handle-dhcp-nack.patch: Handle DHCP NAK and send a
      re-discover. (LP 1707999)
  * Dropped changes (upstream):
    - d/p/0004-fix_no-pie_option.patch: correct -no-pie option
      to build without pie
  * Added Changes:
    - updated debian/patches/util-elf2efi-GNU_SOURCE.patch to match latest
      upstream.
    - add new rom for vmxnet3 (LP: #1737211)
      - d/ipxe-qemu.install: install new rom
      - d/util/check-rom-sizes: check new rom as well
    - handling of efi rom size changes (LP: #1713490)
      - d/util/check-rom-sizes: bump efi rom sizes
      - d/control: break older qemu versions to ensure the new sized roms
        are only associated with new qemu versions.
    - d/util/check-rom-sizes: update description

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 24 Jan 2018 15:00:36 +0100
