## ipxe 1.0.0+git-20190109.133f4c4

=== debian/changelog ===
ipxe (1.0.0+git-20190109.133f4c4-0ubuntu3) focal; urgency=medium

  [Alkis Georgopoulos]
  * d/tree/ipxe/etc/grub.d/20_ipxe: Make grub-ipxe work under UEFI
    (LP: #1811496)
    - Use ipxe.efi under UEFI
    - Save default entry when iPXE is selected
  [Sharon Dagan]
  - d/tree/ipxe/etc/grub.d/20_ipxe: Identify ipxe grub menu entry in
    an easier way (LP: #1858374)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 06 Jan 2020 18:59:25 +0000

ipxe (1.0.0+git-20190109.133f4c4-0ubuntu2) disco; urgency=medium

  * Add e1000e firmware for qemu. (closes: #884240)
    - d/ipxe-qemu.install: install new rom
    - d/util/check-rom-sizes: check new rom

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 19 Feb 2019 17:17:04 +0100

ipxe (1.0.0+git-20190109.133f4c4-0ubuntu1) disco; urgency=medium

  * Merge new upstream release 1.0.0+git-20190109.133f4c4
    Remaining Changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - Split grub integration from ipxe->grub-ipxe.
      - d/control: add package and adapt dependencies
      - d/[grub-]ipxe.install: move some files to grub-ipxe
      - rename d/ipxe.post* to d/grub-ipxe-post*
    - Install ne.rom as pxe-ne2k_isa.rom
      - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
      - d/ipxe-qemu.links: compat link for ne.rom
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu
      to /usr/lib/ipxe/qemu.
    - d/util/check-rom-sizes, d/rules: check sizes of generated roms to avoid
      accidentially breaking KVM live migration on updates/fixes.
    - handling of efi rom size changes in Bionic (LP 1713490)
      - d/util/check-rom-sizes: bump efi rom sizes
      - d/control: break older qemu versions to ensure the new sized roms
        are only associated with new qemu versions.
    - debian/patches/handle-dhcp-nack.patch: Handle DHCP NAK and send a
      re-discover. (LP 1707999)
    - updated debian/patches/util-elf2efi-GNU_SOURCE.patch to match latest
      upstream.
    - add new rom for vmxnet3 (LP 1737211)
      - d/ipxe-qemu.install: install new rom
        are only associated with new qemu versions.
    - Build ROMs for QEMU with CONFIG=qemu (LP: 1789319)
    - d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch: Strip 802.1Q VLAN 0
      priority tags; Fixes PXE when VLAN tag is 0. (LP: 1805920)
    - debian/copyright: update copyright information to satisfy lintian
      dep5 checks (LP: 1747071)
  * Dropped changes (upstream):
    - debian/patches/fix-elf2efi-plt-relocation.diff: Cherry-pick fix from
      ipxe devel mailing list to handle R_X86_64_PLT32 relocations.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Jan 2019 11:09:29 +0100

ipxe (1.0.0+git-20180124.fbe8c52d-0ubuntu5) disco; urgency=medium

  * d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch: Strip 802.1Q VLAN 0
    priority tags; Fixes PXE when VLAN tag is 0. (LP: #1805920)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 10 Dec 2018 16:26:42 -0500
