## ipxe 1.0.0+git-20190125.36a4c85

=== debian/changelog ===
ipxe (1.0.0+git-20190125.36a4c85-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix FTBFS with gcc 10. (Closes: #966942)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 17:25:50 +0000

ipxe (1.0.0+git-20190125.36a4c85-5) unstable; urgency=medium

  * Cleanup src/bin correctly. (closes: #952275)

 -- Bastian Blank <waldi@debian.org>  Tue, 25 Feb 2020 21:44:34 +0100

ipxe (1.0.0+git-20190125.36a4c85-4) unstable; urgency=medium

  * Use new source format instead of own rules.
  * Use debhelper 12.
  * Move ipxe.efi into /boot. (closes: #947267)

 -- Bastian Blank <waldi@debian.org>  Thu, 02 Jan 2020 21:36:39 +0100

ipxe (1.0.0+git-20190125.36a4c85-3) unstable; urgency=medium

  * Combine legacy and EFI rom again. (closes: #947024)

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Dec 2019 19:32:59 +0100

ipxe (1.0.0+git-20190125.36a4c85-2) unstable; urgency=medium

  * Add Vcs information.
  * Include snponly.efi. (closes: #944321)

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Dec 2019 21:43:28 +0100

ipxe (1.0.0+git-20190125.36a4c85-1) unstable; urgency=medium

  * New snapshot. (closes: #832765, #906365)
  * Add e1000e and vmxnet3 firmware for qemu. (closes: #884240, #868124)

 -- Bastian Blank <waldi@debian.org>  Sat, 09 Feb 2019 17:41:37 +0100
