=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dpkg-source-gitarchive,
 dh-exec,
 xorriso, isolinux, syslinux-common, syslinux-utils, dosfstools, mtools,
 binutils-dev, liblzma-dev, zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://ipxe.org/
Vcs-Git: https://salsa.debian.org/waldi/ipxe.git
Vcs-Browser: https://salsa.debian.org/waldi/ipxe

Package: ipxe
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: PXE boot firmware
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for all supported network cards in one
 binary and several bootable formats.

Package: ipxe-qemu
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: PXE boot firmware - ROM images for qemu
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for the qemu emulated network cards in
 as boot ROMs.
