## ipxe 1.0.0+git-20231218.f22879c

=== debian/changelog ===
ipxe (1.0.0+git-20231218.f22879c-6) unstable; urgency=medium

  * rsync upstream from https://github.com/ipxe/ipxe
  * Modify version number acquisition method

 -- bluesky <chenchongbiao@deepin.org>  Mon, 18 Dec 2023 17:03:23 +0800
