=== src/arch/arm/Makefile ===
# Assembler section type character
#
ASM_TCHAR	:= %
ASM_TCHAR_OPS	:= %%

# Include ARM-specific headers
#
INCDIRS		:= arch/$(ARCH)/include arch/arm/include $(INCDIRS)

# ARM-specific directories containing source files
#
SRCDIRS		+= arch/arm/core
SRCDIRS		+= arch/arm/interface/efi
