## ipxe 1.21.1+git20220113.fbbdc3926+dfsg

=== debian/changelog ===
ipxe (1.21.1+git20220113.fbbdc3926+dfsg-4) unstable; urgency=medium

  [ Miao Wang ]
  * d/rules:
    - Fix incorrect CFLAGS for architecture other than BUILD_ARCH.
    - Split build targets for any and all architectures.

  [ Shengqi Chen ]
  * Do source-only upload to allow migration.

 -- Shengqi Chen <harry@debian.org>  Tue, 04 Feb 2025 07:09:05 +0800

ipxe (1.21.1+git20220113.fbbdc3926+dfsg-3) unstable; urgency=medium

  [ Miao Wang ]
  * Split boot images & grub script into new binary package grub-ipxe
    and only installs native boot images into /boot.
  * Cross-build / multi-arch support:
    - Allow building on non x86-64 architectures.
    - Include EFI image for arm64 in the ISO image.
    - Include drivers for arm64 in the efi roms.
    - d/grub-ipxe.grub: add support for arm64
  * Packaging related:
    - Suppress false positives from blhc.
    - d/util/geniso:
      + Use -isohybrid-mbr in xorriso instead of isohybrid.
      + Fix EFI boot image size calculation.
      + Allow including EFI images for multiple architectures.
    - Add autopkgtest for generated ISO image and efi roms.

  [ Shengqi Chen ]
  * d/control: change maintainer as discussed.
    Thank Sven for salvaging and improving iPXE in Debian!
  * d/patches: update metadata.
  * d/NEWS: add entry on grub-ipxe split.

 -- Shengqi Chen <harry@debian.org>  Mon, 03 Feb 2025 06:42:00 +0800

ipxe (1.21.1+git20220113.fbbdc3926+dfsg-2) unstable; urgency=medium

  * d/rules + debian/patches/debian-changes:
    - Drop needless removal of src/bin/.gitignore and correct clean target.
  * d/p/*:
    - Drop patch debian-changes entirely.
  * d/README.source.md:
    - Drop file for describing obsolete procedures.
  * d/control:
    - Fix grammar of ipxe-qemu description.
    - Remove not used dpkg-source-gitarchive from Build-Depends.
  * d/rules:
    - Simplify pattern to pick targets to build.
  * d/rules + d/config/*:
    - Apply upstream's functionality to build roms with HTTPS support
      excluding EFI roms.
  * d/rules:
    - Simplify building of ipxe-arm64.efi
    - Avoid "warning: pattern recipe did not update peer target" by splitting
      the multi pattern target into one target per architecture.
    - Simplify mkdir invocations.
  * d/config/* + d/p/* + d/rules:
    - Convert Debian's configuration files into a patch, adapt d/rules
      accordingly.
  * d/tree + d/ipxe.grub + d/ipxe.install:
    - Rework the way the grub-mkconfig helper script gets installed.
  * d/rules:
    - Rework target override_dh_install to execute_after_dh_install.
    - In the override_dh_auto_clean recipe, replace '$(MAKE)' with an
      invocation of 'dh_auto_clean'.
    - Drop not used variable ISOLINUX_BIN.
    - Remove not needed special targets .NOTPARALLEL and .SECONDARY.
  * d/copyright:
    - Bump Debian copyright year to 2025.

 -- Sven Geuer <sge@debian.org>  Mon, 13 Jan 2025 17:11:18 +0100

ipxe (1.21.1+git20220113.fbbdc3926+dfsg-1) unstable; urgency=medium

  * d/copyright:
    - Fix Format field value.
    - Exclude drivers violating the DFSG and unneeded files of unclear
      licensing.
  * New upstream snapshot 1.21.1+git20220113.fbbdc3926+dfsg
   (Closes: #985047, #1011947).
  * d/control: Salvage package setting Maintainer to myself (Closes: #1089184).
    Thanks to Bastian Blank <waldi@debian.org> who introduced ipxe to Debian
    and maintained the package in the past.
  * d/watch: Introduce watch file.
  * d/gbp.conf: Introduce gbp configuration file.
  * d/salsa-ci.yml:
    - Introduce Salsa-Ci configuration file.
    - Add variable SALSA_CI_DISABLE_CROSSBUILD_ARM64.
  * d/p/*:
    - 9fa8c40d…fcommon.patch: Remove it for being applied upstream.
    - fix-building-with-newer-binutils.patch: update it to new upstream
      snapshot.
    - Backport from Ubuntu 0005-strip-802.1Q-VLAN-0-priority-tags.patch,
      renaming it to strip-802.1Q-VLAN-0-priority-tags.patch.
    - Backport from Ubuntu
      0003-Inhibit-linker-warnings-about-an-implied-executable-.patch,
      renaming it to inhibit-linker-warnings-about-an-implied-executable.patch.
  * d/tree/ipxe/etc/grub.d/20_ipxe:
    - Backport from Ubuntu fix about loading ipxe.efi under UEFI
      (Closes: #927783).
  * d/util/geniso:
    - Backport from Ubuntu fix to rounding to prevent broken iso creation.
    - Enhance the tool to generate a reproducible ISO image.
  * d/rules, d/util/check-rom-size: Backport this tool from Ubuntu and use it.
  * d/control, d/ipxe.install, d/ipxe.links, d/ipxe.post*, d/rules: Backport
    remaining changes from Ubuntu, which comprises:
    - Build ROMs applying the configuration upstream provides.
    - Enable HTTPS support (Closes: #847094).
    - Build ipxe-arm64.efi.
  * d/rules: Drop variable VERSION in favour of DEB_VERSION.
  * d/p/*:
    - Add patch to respect presets to CPPFLAGS, CFLAGS, LDFLAGS the
      Debian build system brings along.
    - d/p/strip-802.1Q-VLAN-0-priority-tags.patch: Update header and add
      Forwarded URL.
    - d/p/debian-changes: Add DEP3 header.
  * d/control, d/util/geniso: Use secure URLs when pointing to ipxe.org.
  * d/control:
    - Bump debhelper-compat to 13.
    - Update Standards-Version to 4.7.0.
    - Update Vcs-* to the designated repository home.
    - Add field Rules-Requires-Root with value "no".
  * d/upstream/metadata: Add upstream metadata file.
  * d/copyright: Rework copyrights and add missing ones.
  * d/ipxe-qemu.*, d/util/check-rom-sizes:
    - Move ROMs from /usr/lib/ipxe/qemu to /usr/share/qemu and remove links
      as per request from the QEMU maintainer.
  * d/config/general.h, d/config/console.h:
    - Add build options to enable background images (Closes: #955289).
  * d/rules: Add build option CERT_CMD to complement HTTPS support.
  * Apply 'wrap-and-sort -at'.

 -- Sven Geuer <sge@debian.org>  Fri, 27 Dec 2024 12:38:06 +0100

ipxe (1.0.0+git-20190125.36a4c85-5.2) unstable; urgency=medium

  * Non-maintainer upload.

