=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Miao Wang <shankerwangmiao@gmail.com>
Uploaders: Shengqi Chen <harry@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dosfstools:native,
               gcc-x86-64-linux-gnu,
               gcc-aarch64-linux-gnu,
               isolinux,
               liblzma-dev:native,
               mtools,
               syslinux-common,
               xorriso,
               xxd,
               zlib1g-dev:native,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://ipxe.org/
Vcs-Git: https://salsa.debian.org/debian/ipxe.git
Vcs-Browser: https://salsa.debian.org/debian/ipxe

Package: ipxe
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Recommends: grub-ipxe
Description: PXE boot firmware
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for all supported network cards in one
 binary and several bootable formats.

Package: ipxe-qemu
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: PXE boot firmware - ROM images for qemu
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for the qemu emulated network cards
 as boot ROMs.


Package: grub-ipxe
Architecture: i386 amd64 arm64
Suggests: grub2-common
Depends: ${misc:Depends}
Breaks: ipxe (<< 1.21.1+git20220113.fbbdc3926+dfsg-3)
Replaces: ipxe (<< 1.21.1+git20220113.fbbdc3926+dfsg-3)
Description: Network booting using iPXE
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 This package contains bootable iPXE images and adds a menu entry to grub2 for
 network booting using iPXE.
